Subject: bug#44059: Acknowledgement (28.0.50; Trash files cannot be deleted properly if delete-by-moving-to-trash is set)

From: Jean Louis <[email-masked]>
Date: Sun, 18 Oct 2020 12:32:02 +0300

Maybe is better to set dir-locals-set-class-variables for the Trash
directory, so that delete-by-moving-to-trash is unset there, if that
is possible.

   Another method of specifying directory-local variables is to define a
group of variables/value pairs in a “directory class”, using the
‘dir-locals-set-class-variables’ function; then, tell Emacs which
directories correspond to the class by using the
‘dir-locals-set-directory-class’ function.  These function calls
normally go in your initialization file (*note Init File::).  This
method is useful when you can’t put ‘.dir-locals.el’ in a directory for
some reason.  For example, you could apply settings to an unwritable
directory this way: